Printago API
GET
/v1/addons/{addonType}
Get addon by type with tiers
Path Parameters
addonType
required
string
The addon type identifier
Response Schema
AddonWithTiers
addonTyperequired
string
createdAtrequired
string
format: date-time
idrequired
string
pattern: ^[a-z0-9]{24}$
isActiverequired
boolean
metadatarequired
Record<string, any>
Construct a type with a set of properties K of type T
namerequired
string
requiresCommercialrequired
boolean
tiersrequired
object[]
addonIdrequired
string
pattern: ^[a-z0-9]{24}$
amountMonthlyrequirednullable
number
amountYearlyrequirednullable
number
billingTyperequired
"subscription" | "usage"
subscriptionusage
createdAtrequired
string
format: date-time
displayOrderrequired
number
idrequired
string
pattern: ^[a-z0-9]{24}$
isActiverequired
boolean
namerequired
string
stripePriceIdMonthlyrequirednullable
string
stripePriceIdUsagerequirednullable
string
stripePriceIdYearlyrequirednullable
string
tierKeyrequirednullable
string
unitPricerequirednullable
number
updatedAtrequired
string
format: date-time
usageAggregationrequirednullable
"sum" | "last_during_period" | "max"
sumlast_during_periodmax
updatedAtrequired
string
format: date-time
Example Response
200 OK — application/json
{
"id": "string",
"addonType": "string",
"name": "string",
"requiresCommercial": true,
"isActive": true,
"metadata": {},
"createdAt": "2025-01-15T12:00:00.000Z",
"updatedAt": "2025-01-15T12:00:00.000Z",
"tiers": [
{
"id": "string",
"addonId": "string",
"tierKey": "string",
"name": "string",
"stripePriceIdMonthly": "string",
"stripePriceIdYearly": "string",
"amountMonthly": 1,
"amountYearly": 1,
"billingType": "subscription",
"stripePriceIdUsage": "string",
"unitPrice": 1,
"usageAggregation": "sum",
"displayOrder": 1,
"isActive": true,
"createdAt": "2025-01-15T12:00:00.000Z",
"updatedAt": "2025-01-15T12:00:00.000Z"
}
]
}